#include <stdbool.h>
#include <cglm/struct.h>
#include <GL/glew.h>

GLuint loadShaders(const char* vertexShaderPath, const char* fragmentShaderPath);

void use();

void setBool(char* name, bool value);
void setInt(char* name, int value);
void setFloat(char* name, float value);

void setVec2(char* name, vec2s value);
void setVec3(char* name, float x, float y);

void setVec3(char* name, vec3s value);
void setVec3(char* name, float x, float y, float z);

void setVec4(char* name, vec4s value);
void setVec4(char* name, float x, float y, float z, float w);

void setMat2(char* name, mat2s value);
void setMat3(char* name, mat3s value);
void setMat4(char* name, mat4s value);
